Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.strategy
Class EJBVerifier20

    java.lang.Object
      |
      +--org.jboss.verifier.strategy.AbstractVerifier
            |
            +--org.jboss.verifier.strategy.EJBVerifier20

All Implemented Interfaces:
  org.gjt.lindfors.pattern.Strategy, VerificationStrategy

public class EJBVerifier20
extends AbstractVerifier

EJB 2.0 bean verifier.

Since:
  JDK 1.3
Version:
  $Revision: 1.9 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)

Fields inherited from class org.jboss.verifier.strategy.AbstractVerifier
`BEAN_MANAGED_TX, classloader, CONTAINER_MANAGED_TX, EJB_HOME_INTERFACE, EJB_OBJECT_INTERFACE, STATEFUL_SESSION, STATELESS_SESSION`

Constructor Summary
`EJBVerifier20(VerificationContext context)`

Method Summary
`void` | `checkEntity(EntityMetaData entity)`
`void` | `checkMessageBean(BeanMetaData bean)` Provides an empty default implementation for EJB 1.1 verifier (message beans are for EJB 2.0 and greater only).
`void` | `checkSession(SessionMetaData session)`

Methods inherited from class org.jboss.verifier.strategy.AbstractVerifier
`fireBeanVerifiedEvent, fireSpecViolationEvent, fireSpecViolationEvent, getContext, getCreateMethods, getDefaultCreateMethod, getEJBCreateMethods, getEJBFindByPrimaryKey, getEJBFindMethods, getFinderMethods, getMatchingEJBCreate, getMatchingEJBFind, getMatchingEJBPostCreate, hasANonStaticField, hasCreateMethod, hasDefaultConstructor, hasDefaultCreateMethod, hasEJBCreateMethod, hasEJBFindByPrimaryKey, hasEJBHomeInterface, hasEJBObjectInterface, hasEntityBeanInterface, hasFinalizer, hasFinderMethod, hasLegalRMIIIOPArguments, hasLegalRMIIIOPExceptionTypes, hasLegalRMIIIOPReturnType, hasMatchingEJBCreate, hasMatchingEJBFind, hasMatchingEJBPostCreate, hasMatchingExceptions, hasMatchingMethod, hasMatchingReturnType, hasMoreThanOneCreateMethods, hasPrimaryKeyReturnType, hasRemoteReturnType, hasSessionBeanInterface, hasSessionSynchronizationInterface, hasVoidReturnType, isAbstract, isAllFieldsPublic, isCreateMethod, isFinal, isFinal, isFinderMethod, isMultiObjectFinder, isPublic, isPublic, isSingleObjectFinder, isStatic, isStatic, throwsCreateException, throwsFinderException, throwsRemoteException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBVerifier20

    public EJBVerifier20(VerificationContext context)

Method Detail

### checkSession

    public void checkSession(SessionMetaData session)

### checkEntity

    public void checkEntity(EntityMetaData entity)

### checkMessageBean

    public void checkMessageBean(BeanMetaData bean)

  Description copied from class: `AbstractVerifier`
  Provides an empty default implementation for EJB 1.1 verifier (message beans are for EJB 2.0 and greater only).
  Overrides:
    `checkMessageBean` in class `AbstractVerifier`
  Following copied from class: `org.jboss.verifier.strategy.AbstractVerifier`
  Parameters:
    `beans` - the message bean to verify

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.